#
# Conditional build:
%bcond_without	home_etc	# don't use home_etc
#
Summary:	Quod Libet - GTK+-based audio player
Summary(pl.UTF-8):	Quod Libet - odtwarzacz dźwięku oparty na GTK+
Name:		quodlibet
Version:	2.4.1
Release:	1
License:	GPL v2
Group:		X11/Applications/Multimedia
Source0:	http://quodlibet.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	00cf65f0deb7c50540225f06a57be7e9
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-nopy.patch
Patch2:		%{name}-desktop.patch
URL:		http://code.google.com/p/quodlibet/
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	intltool
BuildRequires:	pkgconfig
# 2.5 needed for ctypes
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-pygtk-devel >= 2:2.12.0
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Requires:	gstreamer-GConf
Requires:	gstreamer-audio-effects-base
Requires:	gtk+2 >= 2:2.12.0
Requires:	python-gnome-gconf
Requires:	python-gstreamer >= 0.10.2-2
Requires:	python-mutagen >= 1.11
Requires:	python-pycairo
Requires:	python-pygtk-gtk >= 2:2.12.0
Suggests:	%{name}-plugins
Suggests:	gstreamer-audiosink
Suggests:	gstreamer-mad
Suggests:	gstreamer-musepack
Suggests:	gstreamer-vorbis
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Quod Libet is a GTK+-based audio player written in Python. It's
designed around the idea that you know better than we do how to
organize your music. It lets you make playlists based on regular
expressions (don't worry, regular searches work too). It lets you
display and edit any tags you want in the file. And it lets you do
this for all the file formats it supports -- Ogg Vorbis, FLAC, MP3,
Musepack, and MOD.

To use all of Quod Libet features (including audio playback) you will
also need the following packages: python-pyvorbis, python-pyao,
python-mad, python-pyid3lib.

%description -l pl.UTF-8
Quod Libet to oparty na GTK+ odtwarzacz dźwięku napisany w Pythonie.
Jest zaprojektowany w oparciu o ideę, że sami wiemy lepiej, jak chcemy
organizować swoją muzykę. Odtwarzacz pozwala tworzyć playlisty w
oparciu o wyrażenia regularne (nie jest to powód do zmartwienia,
zwykłe wyszukiwanie też działa). Pozwala wyświetlać i modyfikować
dowolne znaczniki w pliku. Umożliwia to dla wszystkich obsługiwanych
formatów dźwiękowych: Ogg Vorbis, FLAC, MP3, Musepack i MOD.

Aby używać wszystkich możliwości Quod Libet (włącznie z odtwarzaniem
dźwięku) potrzebne są także następujące pakiety: python-pyvorbis,
python-pyao, python-mad, python-pyid3lib.

%prep
%setup -q
%{?with_home_etc:%patch0 -p1}
%patch1 -p1
%patch2 -p1
%{__rm} po/gl_ES.po

%build
CFLAGS="%{rpmcflags}"; export CFLAGS
%{__python} ./setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pixmapsdir} \
	$RPM_BUILD_ROOT%{py_sitedir}/%{name}/plugins/{editing,events,playorder,songsmenu}

%{__python} -- setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-lib=%{py_sitedir} \
	--optimize=2

install quodlibet/images/hicolor/64x64/apps/{exfalso,quodlibet}.png $RPM_BUILD_ROOT%{_pixmapsdir}

%py_postclean

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/*
%{py_sitedir}/*.egg-info
%dir %{py_sitedir}/%{name}
%{py_sitedir}/%{name}/*.py[co]
%{py_sitedir}/%{name}/browsers
%dir %{py_sitedir}/%{name}/debug
%{py_sitedir}/%{name}/debug/*.py[co]
%{py_sitedir}/%{name}/devices
%dir %{py_sitedir}/%{name}/formats
%{py_sitedir}/%{name}/formats/*.py[co]
%dir %{py_sitedir}/%{name}/images
%{py_sitedir}/%{name}/images/*.png
%{py_sitedir}/%{name}/images/*.svg
%dir %{py_sitedir}/%{name}/images/hicolor
%dir %{py_sitedir}/%{name}/images/hicolor/*x*
%dir %{py_sitedir}/%{name}/images/hicolor/*x*/*
%{py_sitedir}/%{name}/images/hicolor/icon-theme.cache
%{py_sitedir}/%{name}/images/hicolor/index.theme
%{py_sitedir}/%{name}/images/hicolor/*x*/*/*.png
%dir %{py_sitedir}/%{name}/library
%{py_sitedir}/%{name}/library/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{name}/*.so
%dir %{py_sitedir}/%{name}/parse
%{py_sitedir}/%{name}/parse/*.py[co]
%dir %{py_sitedir}/%{name}/player
%{py_sitedir}/%{name}/player/*.py[co]
%dir %{py_sitedir}/%{name}/plugins
%{py_sitedir}/%{name}/plugins/*.py[co]
%dir %{py_sitedir}/%{name}/plugins/editing
%dir %{py_sitedir}/%{name}/plugins/events
%dir %{py_sitedir}/%{name}/plugins/playorder
%dir %{py_sitedir}/%{name}/plugins/songsmenu
%dir %{py_sitedir}/%{name}/qltk
%{py_sitedir}/%{name}/qltk/*.py[co]
%dir %{py_sitedir}/%{name}/util
%{py_sitedir}/%{name}/util/*.py[co]
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_mandir}/man1/*
%changelog
* Mon Jul 30 2012 Łukasz Kieś <kiesiu@pld-linux.org> 99a8b7b
- updated to 2.4.1

* Sun Jun 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> 448ebc3
- updated with browsers
- minor cleanups

* Sat Jun 16 2012 wrobell <wrobell@pld-linux.org> 9396bdc
- updated nopy patch to fix dynamic loading of format modules
- rel. 2

* Wed Mar 21 2012 Łukasz Kieś <kiesiu@pld-linux.org> 6c10657
- updated to 2.4

* Tue Nov 01 2011 Łukasz Kieś <kiesiu@pld-linux.org> 34b8c3a
- updated to 2.3.2

* Mon Aug 08 2011 Łukasz Kieś <kiesiu@pld-linux.org> 36f4afa
- updated to 2.3.1

* Tue Jun 21 2011 Jacek Konieczny <jajcus@pld-linux.org> 31fd760
- include the plugins directories
- package the missing icon files
- S: quodlibet-plugins
- Release: 2

* Sun Apr 03 2011 Łukasz Kieś <kiesiu@pld-linux.org> ad3af2c
- updated to version 2.3
- use %{__rm} macro

* Sun Apr 03 2011 Łukasz Kieś <kiesiu@pld-linux.org> 8dde849
- updated to version 2.3
- partially patched upstream

* Sun Apr 03 2011 Łukasz Kieś <kiesiu@pld-linux.org> 1e46229
- updated to version 2.3

* Thu Nov 11 2010 wrobell <wrobell@pld-linux.org> f154a50
- added missing desktop file icons
- rel. 6

* Tue Sep 21 2010 Elan Ruusamäe <glen@pld-linux.org> 217dde9
- release 5

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5269d43
- release 4

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c1f7e9c
- release 3

* Fri May 14 2010 sparky <sparky@pld-linux.org> 58b9612
- BR: gettext-devel

* Wed May 12 2010 Jan Rękorajski <baggins@pld-linux.org> d644dd9
- rel 2
- fixed dsktop categories

* Sun Apr 25 2010 Artur Frysiak <artur@frysiak.net> df7f3c5
- obsoleted

* Tue Apr 06 2010 Artur Frysiak <artur@frysiak.net> 67b3d35
- 2.2.1

* Sat Nov 07 2009 Adam Gołębiowski <adamg@pld-linux.org> fe8d8d7
- drop gl_ES locale; release 2

* Sun Oct 04 2009 Artur Frysiak <artur@frysiak.net> 7f05314
- fixed home page url
- rel 1

